Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class LogicalException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--oracle.apps.cz.cio.LogicalException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InitialRequestException, InsufficientCountException, LogicalOverridableException, NativeBomLogicException, NodeNotEffectiveException, NonOverridableRequestException

public class LogicalException
extends java.lang.Exception

Signalled if a logical failure occurs. This failure could either be a contradiction, or a more serious problem.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`LogicalException(oracle.apps.cz.logic.LogicException le, oracle.apps.cz.cio.Configuration config)`
`LogicalException(oracle.apps.cz.logic.LogicException le, oracle.apps.cz.cio.Configuration config, oracle.apps.cz.cio.Component parentComp)` This constructor takes the parentComp as an additional argument which is the parent component in which the 'node' lives.
`LogicalException(oracle.apps.cz.cio.Reason r, oracle.apps.cz.cio.Configuration config)`
`LogicalException(java.lang.String msg, oracle.apps.cz.cio.IRuntimeNode node, oracle.apps.cz.cio.Configuration config)`

Method Summary
`oracle.apps.cz.cio.IRuntimeNode` | `getCause()`
`java.lang.String` | `getExpertMessage()` This method gets the expert Message associated with this exception, if any.
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMessageHeader()`
`java.lang.String` | `getMessageHeader(java.lang.String caption)`
`com.sun.java.util.collections.List` | `getReasons()`
`boolean` | `hasExpertMessage()` This method returns true if this is an exception which should have an expert message.
`boolean` | `isOverridable()`
`void` | `setCause(oracle.apps.cz.cio.IRuntimeNode cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Constructor Detail

### LogicalException

    public LogicalException(java.lang.String msg,
                            oracle.apps.cz.cio.IRuntimeNode node,
                            oracle.apps.cz.cio.Configuration config)

### LogicalException

    public LogicalException(oracle.apps.cz.cio.Reason r,
                            oracle.apps.cz.cio.Configuration config)

### LogicalException

    public LogicalException(oracle.apps.cz.logic.LogicException le,
                            oracle.apps.cz.cio.Configuration config)

### LogicalException

    public LogicalException(oracle.apps.cz.logic.LogicException le,
                            oracle.apps.cz.cio.Configuration config,
                            oracle.apps.cz.cio.Component parentComp)

  This constructor takes the parentComp as an additional argument which is the parent component in which the 'node' lives. If this argument is null, 'node' will be looked up in the net by the config, else it will be looked up in the parentComp. This is useful when a contradiction occurs during load time i.e., at a time when the net and parent component have not been hooked together in the config.

Method Detail

### getCause

    public oracle.apps.cz.cio.IRuntimeNode getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

### setCause

    public void setCause(oracle.apps.cz.cio.IRuntimeNode cause)

### getReasons

    public com.sun.java.util.collections.List getReasons()

### getMessageHeader

    public java.lang.String getMessageHeader()

### getMessageHeader

    public java.lang.String getMessageHeader(java.lang.String caption)

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### isOverridable

    public boolean isOverridable()

### hasExpertMessage

    public boolean hasExpertMessage()

  This method returns true if this is an exception which should have an expert message.

### getExpertMessage

    public java.lang.String getExpertMessage()

  This method gets the expert Message associated with this exception, if any. Users should first call hasExpertMessage before calling this method
  Returns:
    the expert message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.